Package io.strimzi.systemtest.resources.crd.kafkaclients

## Class KafkaOauthExampleClients

- java.lang.Object
- - io.strimzi.systemtest.resources.crd.kafkaclients.KafkaBasicExampleClients
  - - io.strimzi.systemtest.resources.crd.kafkaclients.KafkaOauthExampleClients

-     public class KafkaOauthExampleClients
      extends KafkaBasicExampleClients

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `KafkaOauthExampleClients.Builder` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `io.fabric8.kubernetes.api.model.batch.JobBuilder` | `consumerStrimziOauthPlain()` |
    `io.fabric8.kubernetes.api.model.batch.JobBuilder` | `consumerStrimziOauthTls​(String clusterName)` |
    `String` | `getClientUserName()` |
    `String` | `getOauthClientId()` |
    `String` | `getOauthClientSecret()` |
    `String` | `getOauthTokenEndpointUri()` |
    `io.fabric8.kubernetes.api.model.batch.JobBuilder` | `producerStrimziOauthPlain()` |
    `io.fabric8.kubernetes.api.model.batch.JobBuilder` | `producerStrimziOauthTls​(String clusterName)` |
    `KafkaOauthExampleClients.Builder` | `toBuilder()` |

    - ### Methods inherited from class io.strimzi.systemtest.resources.crd.kafkaclients.KafkaBasicExampleClients

      `consumerStrimzi, createAndWaitForReadiness, defaultConsumerStrimzi, defaultProducerStrimzi, getAdditionalConfig, getBootstrapAddress, getConsumerGroup, getConsumerName, getDelayMs, getMessageCount, getProducerName, getTopicName, producerStrimzi`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### toBuilder

          public KafkaOauthExampleClients.Builder toBuilder()

      Overrides:
        `toBuilder` in class `KafkaBasicExampleClients`

    - #### getOauthClientId

          public String getOauthClientId()

    - #### getOauthClientSecret

          public String getOauthClientSecret()

    - #### getOauthTokenEndpointUri

          public String getOauthTokenEndpointUri()

    - #### getClientUserName

          public String getClientUserName()

    - #### producerStrimziOauthPlain

          public io.fabric8.kubernetes.api.model.batch.JobBuilder producerStrimziOauthPlain()

    - #### producerStrimziOauthTls

          public io.fabric8.kubernetes.api.model.batch.JobBuilder producerStrimziOauthTls​(String clusterName)

    - #### consumerStrimziOauthPlain

          public io.fabric8.kubernetes.api.model.batch.JobBuilder consumerStrimziOauthPlain()

    - #### consumerStrimziOauthTls

          public io.fabric8.kubernetes.api.model.batch.JobBuilder consumerStrimziOauthTls​(String clusterName)